Remove lorder(1) and tsort(1) stuff, because it is not needed on modern
systems and makes problems under some platforms (e.g. older Linux).

--- src/Makefile.global.in.orig	Thu Sep  5 00:54:18 2002
+++ src/Makefile.global.in	Tue Jul  1 17:17:25 2003
@@ -193,7 +193,7 @@
 LDREL = -r
 LDOUT = -o
 RANLIB = @RANLIB@
-LORDER = @LORDER@
+MK_NO_LORDER= true
 X = @EXEEXT@
 
 # Perl 
--- src/makefiles/Makefile.freebsd.orig	Wed Aug 29 21:14:40 2001
+++ src/makefiles/Makefile.freebsd	Tue Jul  1 17:23:00 2003
@@ -16,7 +16,7 @@
 	$(LD) $(LDREL) $(LDOUT) $<.obj -x $<
 	@echo building shared object $@
 	@rm -f $@.pic
-	@${AR} cq $@.pic `lorder $<.obj | tsort`
+	@${AR} cq $@.pic
 	${RANLIB} $@.pic
 	@rm -f $@
 	$(LD) -x -Bshareable -Bforcearchive -o $@ $@.pic
--- src/makefiles/Makefile.openbsd.orig	Wed Aug 29 21:14:40 2001
+++ src/makefiles/Makefile.openbsd	Tue Jul  1 17:23:12 2003
@@ -16,7 +16,7 @@
 	$(LD) $(LDREL) $(LDOUT) $<.obj -x $<
 	@echo building shared object $@
 	@rm -f $@.pic
-	@${AR} cq $@.pic `lorder $<.obj | tsort`
+	@${AR} cq $@.pic
 	${RANLIB} $@.pic
 	@rm -f $@
 	$(LD) -x -Bshareable -Bforcearchive \
--- src/makefiles/Makefile.netbsd.orig	Wed Aug 29 21:14:40 2001
+++ src/makefiles/Makefile.netbsd	Tue Jul  1 17:23:39 2003
@@ -18,7 +18,7 @@
 	$(LD) $(LDREL) $(LDOUT) $<.obj -x $<
 	@echo building shared object $@
 	@rm -f $@.pic
-	@${AR} cq $@.pic `lorder $<.obj | tsort`
+	@${AR} cq $@.pic
 	${RANLIB} $@.pic
 	@rm -f $@
 	$(LD) -x -Bshareable -Bforcearchive \
Index: src/template/freebsd
--- src/template/freebsd.orig	2004-12-02 19:11:40.000000000 +0100
+++ src/template/freebsd	2005-02-16 17:09:09.617038264 +0100
@@ -1,3 +1,3 @@
 case $host_cpu in
-  alpha*)   CFLAGS="-O";;  # alpha has problems with -O2
+  alpha*)   CFLAGS=`echo "x$CFLAGS" | sed -e 's;^x;;' -e 's;-O2;-O;'`;;  # alpha has problems with -O2
 esac
Index: src/template/linux
--- src/template/linux.orig	2004-12-02 19:11:40.000000000 +0100
+++ src/template/linux	2005-02-16 17:08:13.160599508 +0100
@@ -1,2 +1,2 @@
 # Force _GNU_SOURCE on; plperl is broken with Perl 5.8.0 otherwise
-CPPFLAGS="-D_GNU_SOURCE"
+CPPFLAGS="$CPPFLAGS -D_GNU_SOURCE"
